package com.huawei.dli.jdbc.utils.type;

public abstract class AbstractCharTypeInfo extends AbstractPrimitiveTypeInfo {
    private int length;

    AbstractCharTypeInfo(DliType type, int length) {
        super(type);
        this.validateParameter(length);
        this.length = length;
    }

    protected abstract void validateParameter(int var1);

    public int getLength() {
        return this.length;
    }

    public String getTypeName() {
        return String.format("%s(%s)", super.getTypeName(), this.length);
    }
}
