package com.huawei.dli.jdbc.utils.type;

public abstract class AbstractPrimitiveTypeInfo implements PrimitiveTypeInfo {
    private DliType dliType;

    AbstractPrimitiveTypeInfo() {
    }

    AbstractPrimitiveTypeInfo(DliType type) {
        this.dliType = type;
    }

    public String getTypeName() {
        return this.dliType.name();
    }

    public DliType getDliType() {
        return this.dliType;
    }

    public String toString() {
        return this.getTypeName();
    }
}
